Download it now!
Bug 31131 - Videos do not play on slides with Design layouts
Summary: Videos do not play on slides with Design layouts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.0 Beta3
Hardware: x86 (IA32) Windows (All)
: medium major
Assignee: Don't use this account, use tml@iki.fi
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-26 05:58 UTC by Eliot the Cougar
Modified: 2012-05-04 07:06 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eliot the Cougar 2010-10-26 05:58:37 UTC
Windows XP x86
LibreOffice 3.3 beta 2

I've been making some presentation and encountered this bug:

Create new Blank slide with no pre-made blocks (aka 'click to add content')
Insert some video into this slide (AVI)
Start presentation
Okay, video plays fine

Now apply any other slide design from the right pane
Our video will go inside one of those pre-made blocks automatically
If you start presentation now, it will not play... It only displays some random frame from the beginning of the video.

Same happens if you add some video to the slide with some pre-made blocks...
Comment 1 Eliot the Cougar 2010-10-26 06:38:43 UTC
Hmmm... "Repeat video" option does not work either... Playback jumps to the first frame and stops there... Something is really broken here...
Comment 2 Noel Power 2010-10-27 07:02:14 UTC
Tor any chance you could test this on windows to confirm, I tried on linux but there was some problem ( and anyway I guess on windows it doesn't use the gstreamer stuff anyway ;-) ) so I'd imagine this really could be platform specific
Comment 3 Eliot the Cougar 2010-10-27 09:25:06 UTC
Tested this issue further:
The bug does not seem to be codec-related... I tried several formats and several decoders...
LibreOffice does not set "Document changed" status if you edit some video playback options, i.e. zoom, repeat, mute, volume... Ctrl+S does nothing until you change something in the document itself...

Playback does not start and/or repeat... How to reproduce:
Create two empty (No layout!!!) slides
Insert some video into the second slide
Start presentation from the first slide, then navigate to the second slide
Video does not start

But, if you start presentation from the second slide, video plays... If you're lucky enough, it will loop either...

If you insert video into some slide with layout the video does not play at all... It's totally just an image...
Comment 4 Eliot the Cougar 2010-10-27 22:48:05 UTC
Futher testing (just before my report):
OpenOffice.org 3.0 - could not display my presentation at all (!) All slides appear plain white
OpenOffice.org 3.1 - Everything works just fine
OpenOffice.org 3.2 - Videos do not start playing just as I said before
LibreOffice 3.3 - Same as ooo 3.2.1

So, bug has appeared somewhere between 3.1 and 3.2
Comment 5 Eliot the Cougar 2010-12-22 22:48:08 UTC
Fixed by merged commit ooo/OOO330_m18 in LibO 3.3.0 RC2
Comment 6 Roman Eisele 2012-05-04 07:06:03 UTC
This is an Impress issue, therefore changed the 'Component' field accordingly.